Bug 466461 - "low space usage on Satellite oracle DB" email needs wording changed
"low space usage on Satellite oracle DB" email needs wording changed
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks: space03
  Show dependency treegraph
 
Reported: 2008-10-10 07:47 EDT by Michael Mráka
Modified: 2009-09-17 03:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:02:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2008-10-10 07:47:57 EDT
+++ This bug was initially created as a clone of Bug #210342 +++

Description of problem:
The subject line of the email that gets sent by check-oracle-space-usage.sh
(rhn-dobby) should be reworded.  Currently it says "Warning - low space usage on
Satellite oracle DB" but this says (to me) that there is plenty of space left.

Suggested new wording:
"Warning - running low on free space for your RHN Satellite Oracle database"

Version-Release number of selected component (if applicable):
rhn-dobby-4.1.4-3

How reproducible:
always

Steps to Reproduce:
1.  Install a 415 satellite.
2.  Exceed 90% usage in one of the tablespaces of the satellite db.  An easy way
might be to change /etc/cron.daily/check-oracle-space-usage.sh to say "if [ $num
-gt 5 ]" instead of 90.
3.  Copy /etc/cron.daily/check-oracle-space-usage.sh to
/etc/cron.hourly/check-oracle-space-usage.sh
4.  Restart crond.
5.  Sync a channel.
6.  Wait for the email to the satellite admin warning that one of the
tablespaces is running low.
  
Actual results:


Expected results:
Less confusing wording.

Additional info:

--- Additional comment from bnackash@redhat.com on 2006-10-11 12:39:55 EDT ---

Step 2 above should be "Exceed 5% usage ..."  The default is 90% usage.  But
that might take too long.

--- Additional comment from mmccune@redhat.com on 2006-12-05 16:34:32 EDT ---

moving to uncommitted
Comment 1 Michael Mráka 2008-10-10 07:50:34 EDT
Fixed in git, commit 
f4021f1ed3625aebfed0bedabdb68de1b75325ef.
Comment 2 Devan Goodwin 2008-11-04 13:02:03 EST
Confirmed the new text by installing spacewalk-dobby and checking the script in question:

   SUBJECT="Warning - high tablespace usage on Satellite oracle DB"



   BODY="This is a notice to let you know that you have gone over 90% usage in

one of the Oracle Tablespaces. We recommend to be proactive and increase the

size of the tablespace  before getting to 100% usage. Please consult

the Satellite documentation on using db-control to increase the size or

contact Red Hat Support for assistance."



Verified in spacewalk 0.3.
Comment 3 Miroslav Suchý 2009-09-17 03:02:01 EDT
Spacewalk has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.